var Dfe64000_IntegracaoCfopXmlComTipoDeOperacao_Service = function(ScreenService, MessageService, General) {
    
    this.errorRequest = function(error) {
        if (error.data) {
            ScreenService.showMessage(error.data.error);
        } else {
            ScreenService.showMessage(error);
        }
        ScreenService.hideLoader();
    };
    
    this.salvar = function(widget){
        var row = widget.currentRow;
        var routeName = 'df_entrada#/integracao_cfopxml_x_tipooperacao/save' + (widget.name === "Dfe64000_grid_filial" ? "Filial" : "");
        
        if (widget.isValid()) {
            General.callRestEngine(routeName, "Row", row).then(function() {
				widget.activate();
				widget.list();
				ScreenService.successNotification("Registro Salvo com Sucesso");
				ScreenService.goBack();
				widget.reload();
			}.bind(this), function(callback){
			    var notaUtilizada = callback.data.error;
			    var msg = "OP_BLOQUEADA";
                MessageService.showMessageByCode(msg, {"notaUtilizada": notaUtilizada});
        });
        }
    };
    
    this.deletar = function(widget){
        var row = widget.currentRow;
        var routeName = 'df_entrada#/integracao_cfopxml_x_tipooperacao/remove' + (widget.name === "Dfe64000_grid_filial" ? "Filial" : "");
        
        General.callRestEngine(routeName, "Row", row).then(function() {
			widget.activate();
			widget.list();  
			ScreenService.successNotification("Registro Excluído com Sucesso");
			ScreenService.goBack();
			widget.reload();
		}.bind(this), this.errorRequest);
    };
    
    this.getFilialLogada = function() {
        return General.callRestEngine( "df#/filioper_lancamento_notafiscal", "FilterData", 
                            [{name: "CDFILIAL", operator: "=", value: "FILIAL_LOGADA"},
                            {name: "CDOPERADOR", operator: "=", value: "OPERADOR_LOGADO"}]);
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfe64000_IntegracaoCfopXmlComTipoDeOperacao_Service", Dfe64000_IntegracaoCfopXmlComTipoDeOperacao_Service);
});