function ProdutosDiferimentoImpostos() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Documentos Fiscais',
			'Produtos para Diferimento de Impostos']);
		geral.esperarLoading();
	};

	this.selectCliente = (estado, codigoCliente) => {
		geral.trocarAba('Exceção Percentual(%) por Cliente');
		geral.searchAndClickGridField('NMESTADO', estado, 'NMESTADO');
		geral.searchAndClickGridField('NMRAZSOCCLIE', codigoCliente, 'NRINSJURCLIE');
	};

	this.adicionarPercentual = (nomeProduto, percentual) => {
		protractorHelper.click(element(by.css('#NMPRODUTO .editable')));
		geral.searchAndClickGridField('NMPRODUTO', nomeProduto, 'NMPRODUTO');
		geral.clickAndFllField('VRPERDIFERE', percentual);
	};

	this.editarPercentual = (percentual) => {
		geral.fillField('VRPERDIFERE', percentual);
	};
}

module.exports = new ProdutosDiferimentoImpostos();
